DADA2 plug in error cod

Hello, I have installed a QIIME2021.4 in our university's HPC. I try to run DADA2 workflow to do QC, but I got this error code. It seems it is related to some R plug in? I use the

Natively installing QIIME 2

It seems other QIIME scripts runs smoothly, but this plug in has the problem

Plugin error from dada2:

  • An error was encountered while running DADA2 in R (return code 126), please inspect stdout and stderr to learn more.*

Debug info has been saved to /tmp/qiime2-q2cli-err-e6v6vidn.log

Hello again, :wave:

Could you post the full contents of that Debug info log file? That will contain clues about what went wrong...

Here is the log.

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpyb12u8fq/forward /tmp/tmpyb12u8fq/reverse /tmp/tmpyb12u8fq/output.tsv.biom /tmp/tmpyb12u8fq/track.tsv /tmp/tmpyb12u8fq/filt_f /tmp/tmpyb12u8fq/filt_r 300 300 13 13 2.0 2.0 2 12 independent consensus 1.0 1 1000000

/usr/bin/env: Rscript: Permission denied
Traceback (most recent call last):
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 266, in denoise_paired
run_commands([cmd])
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpyb12u8fq/forward', '/tmp/tmpyb12u8fq/reverse', '/tmp/tmpyb12u8fq/output.tsv.biom', '/tmp/tmpyb12u8fq/track.tsv', '/tmp/tmpyb12u8fq/filt_f', '/tmp/tmpyb12u8fq/filt_r', '300', '300', '13', '13', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 126.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 244, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 390, in callable_executor
output_views = self._callable(**view_args)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 126), please inspect stdout and stderr to learn more.

Hi, our HPC admin help me load the R module. After we run the R module, I got another error message related to python environment. See below? should I load my python module?

Traceback (most recent call last):
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/bin/qiime", line 11, in
sys.exit(qiime())
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/click/core.py", line 829, in call
return self.main(*args, **kwargs)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/click/core.py", line 782, in main
rv = self.invoke(ctx)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/click/core.py", line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/click/core.py", line 1254, in invoke
cmd_name, cmd, args = self.resolve_command(ctx, args)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/click/core.py", line 1297, in resolve_command
cmd = self.get_command(ctx, cmd_name)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py", line 196, in get_command
return ActionCommand(name, self._plugin, action)
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py", line 222, in init
q2cli.util.usage_example_option(self._get_action),
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/util.py", line 189, in usage_example_option
from q2cli.core.usage import examples
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/core/usage.py", line 11, in
from qiime2.sdk import usage, util
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/init.py", line 9, in
from qiime2.sdk import Artifact, Visualization
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/init.py", line 10, in
from .action import Action, Method, Visualizer, Pipeline
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 19, in
import qiime2.core.type as qtype
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/core/type/init.py", line 10, in
from .semantic import SemanticType, Properties
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/core/type/semantic.py", line 15, in
from qiime2.core.type.util import is_semantic_type, is_qiime_type
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/core/type/util.py", line 13, in
from qiime2.core.type.primitive import Int, Float, Bool, Str
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/core/type/primitive.py", line 13, in
import qiime2.metadata as metadata
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/metadata/init.py", line 9, in
from .metadata import (Metadata, MetadataColumn, NumericMetadataColumn,
File "/mnt/home/sdpapet/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/metadata/metadata.py", line 16, in
import pandas as pd
File "/opt/software/SciPy-bundle/2019.10-foss-2019b-Python-3.7.4/lib/python3.7/site-packages/pandas/init.py", line 16, in
raise ImportError(
ImportError: Unable to import required dependencies:
numpy:

Thanks for posting that.

I'm not 100% sure what's going on here. I wonder if this is an issue with how R and Python and the rest of Qiime2 are installed.

You mentioned that you installed Qiime2 natively... Have you considered installing it with conda? If the system admin want's to install it natively and provide it as an Environment Module, perhaps they could reach out and we can help them get it all set up.

1 Like

Yes, I have follow your website instruction to install it with conda (Natively installing QIIME 2 — QIIME 2 2021.11.0 documentation). It was installed last year, so it was a little older version. I think the steps are same steps.

Our admin doesn't want to install it as a module for everyone uses. Basically, everyone has to install it by our own into our own directory.

When I run Qimme2, I just do this:

source activate qiime2-2021.4

Ah! So conda is being used! That's good, as conda should work best for most people.

Try installing the newest version of Qiime2, and see if that error persists.
https://docs.qiime2.org/2021.11/install/native/

Thank you. I will try and let you know if new version works.

Can you tell me how can I delete/uninstall old version. I don't have too much space in my home directory. It would be better delete the old version.

Sure thing!

conda remove --name qiime2-2021.4 --all

conda clean --all

Then install the new Qiime2 :qiime2:

Thank you. Just double check with you.

I have run " conda remove --name qiime2-2021.4 --all", which cleaned most of packages. some of them failed to removed.

Do I need to run "conda clean --all" before I install the latest qiime2? It seems this scripts would clean up everything, right? If I install other software via conda, it may affect, right?

Thanks

The command conda clean --all should only remove software that's not part of a current conda environment. This means it should not cause any problems with your other envs, but even if it does, you can simply install that software again using conda!

Hi Colin,
Thank you. Just let you know, the DADA2 workflow works after I reinstalled it.
Just one more question: about qiime dada2 settings "--p-n-threads"

If I am on a HPC, I assigned 4 nodes, each node have 2 cores, each core has 4 threads. I should put n=32 here, right? or 4?

Thanks,

Hello again,

By default, these qiime2 plugins only work on a single node, so you can assign just 1.

(2 cores)x(4 threads / core)
(2 cores)x(4 threads / core)
2x4 threads
8 threads

Try --p-n-threads 8 and see how it goes!

You could try to connect to your worker node using ssh then check on CPU usage using top, if that's possible on your system.

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.